package com.liang.service;

import com.liang.entity.SysPostInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (SysPostInfo)表服务接口
 *
 * @author makejava
 * @since 2023-02-27 17:14:56
 */
public interface SysPostInfoService {

    /**
     * 通过ID查询单条数据
     *
     * @param postId 主键
     * @return 实例对象
     */
    SysPostInfo queryById(Integer postId);

    /**
     * 分页查询
     *
     * @param sysPostInfo 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<SysPostInfo> queryByPage(SysPostInfo sysPostInfo, PageRequest pageRequest);

    /**
     * 岗位数据分页查询
     *
     * @param paraMap
     * @return
     */
    List<SysPostInfo> getSysPostInfoList(Map<String, String> paraMap);

    /**
     * 获取岗位信息
     *
     * @param paraMap
     * @return
     */
    SysPostInfo getSysPostInfo(Map<String, String> paraMap);

    /**
     * 获取岗位信息
     *
     * @param paraMap
     * @return
     */
    List<SysPostInfo> getSysPostInfo1(Map<String, String> paraMap);

    /**
     * 新增数据
     *
     * @param sysPostInfo 实例对象
     * @return 实例对象
     */
    int insert(SysPostInfo sysPostInfo);

    /**
     * 修改数据
     *
     * @param sysPostInfo 实例对象
     * @return 实例对象
     */
    int update(SysPostInfo sysPostInfo);

    /**
     * 通过主键删除数据
     *
     * @param postId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer postId);

    /**
     * 批量删除
     *
     * @param
     * @return
     */
    int batchDelete(List<Integer> postIdList);

    /**
     * 岗位数据分页查询
     *
     * @return
     */
    List<SysPostInfo> list();


    /**
     * 获取岗位名称 和 岗位编码
     */

    List<SysPostInfo> getPost(Map map);
}
